<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">D3D9HardwarePixelBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9HardwarePixelBuffer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#af188bf4a184000244ebe9d29dcdca6ca">_clearSliceRTT</a>(size_t zoffset)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aa3ea1fd7592237c28a13bad09099529b">_genMipmaps</a>(IDirect3DBaseTexture9 *mipTex)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a728dd8911efa390565708acbbce050d5">_setMipmapping</a>(bool doMipmapGen, bool HWMipmaps)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a3ebff4ac2054c8ca8890d612914f07da">bind</a>(IDirect3DDevice9 *dev, IDirect3DSurface9 *mSurface, IDirect3DSurface9 *fsaaSurface, bool writeGamma, uint fsaa, const String &amp;srcName, IDirect3DBaseTexture9 *mipTex)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a20fdd929d780f7f5ab3833aa4f6cad83">bind</a>(IDirect3DDevice9 *dev, IDirect3DVolume9 *mVolume, IDirect3DBaseTexture9 *mipTex)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a51e0d8c96be6469f855905186ef4347c">blit</a>(IDirect3DDevice9 *d3d9Device, const HardwarePixelBufferSharedPtr &amp;src, const Image::Box &amp;srcBox, const Image::Box &amp;dstBox, BufferResources *srcBufferResources, BufferResources *dstBufferResources)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#ad456e89ed277efb474a5fd17d1da6ca9">blit</a>(const HardwarePixelBufferSharedPtr &amp;src, const Image::Box &amp;srcBox, const Image::Box &amp;dstBox)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#ad4a77bfe5a38c59300124e6cf6305b9e">Ogre::HardwarePixelBuffer::blit</a>(const HardwarePixelBufferSharedPtr &amp;src)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a51196f4de94f020359084c2b194d6d77">blitFromMemory</a>(const PixelBox &amp;src, const Image::Box &amp;dstBox, BufferResources *dstBufferResources)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#af71145e7bc2bee7f5889c0dcdf2dbcbc">blitFromMemory</a>(const PixelBox &amp;src, const Image::Box &amp;dstBox)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a2405dade15f595710a02903d302155bd">Ogre::HardwarePixelBuffer::blitFromMemory</a>(const PixelBox &amp;src)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a8218fe9dc85957b0e682c575e446841a">blitToMemory</a>(const Image::Box &amp;srcBox, const PixelBox &amp;dst, BufferResources *srcBufferResources, IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#ae42178262b39fe98787a17e8da3e9773">blitToMemory</a>(const Image::Box &amp;srcBox, const PixelBox &amp;dst)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a3d9ff2acd7776be35efd6fa24307012c">Ogre::HardwarePixelBuffer::blitToMemory</a>(const PixelBox &amp;dst)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">copyData</a>(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a0bf3147b1f99a81dd84fb7b978c4686d">copyData</a>(HardwareBuffer &amp;srcBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#af4d046bb62d6eb2cc29fc5979a87d37e">createBufferResources</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#adaccb76df4d0e3483c916723f89f9775">D3D9HardwarePixelBuffer</a>(HardwareBuffer::Usage usage, D3D9Texture *ownerTexture)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a03af114b7c8c5523959b81e8201ea08d">destroyBufferResources</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a7f877ea767b0a730c803a541a7586d22">destroyRenderTexture</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a5750199f136e0afb2d59e6a16bfd9897">DeviceToBufferResourcesIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aefc62ae5463401a00f341224c6326133">DeviceToBufferResourcesMap</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#ae4f594955fd7b0ae4d99cb56de934bb5">getBufferResources</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a9f888e279109a05b5228f71c5b8f9d34">getCurrentLock</a>()</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#ae6d2727151ff4574b70e3459aecf7faf">getDepth</a>() const </td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#aee72f3e84af166ef031659478fea1967">getFormat</a>() const </td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a039ec0281513ccbdace3155798d484b4">getFSAASurface</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a1a86fb9153a28f146a12c8db65ede66c">getHeight</a>() const </td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a296d62219c5779489c6a707c9131bc84">getRenderTarget</a>(size_t zoffset)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a73a3349f2eafb6accc7f5fd33bd90a0a">getSurface</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">getUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#abda31825eaf2b34edec2d0920c949e30">getWidth</a>() const </td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a43c79e8e2fa85a83f800214b3661bbbf">HardwareBuffer</a>(Usage usage, bool systemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#aea594b749202aa526553061deb76efe6">HardwarePixelBuffer</a>(size_t mWidth, size_t mHeight, size_t mDepth, PixelFormat mFormat, HardwareBuffer::Usage usage, bool useSystemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a98181701e387658963d0739984499fb3">lock</a>(const Image::Box &amp;lockBox, LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a8aaa214f42a683f7203ed42f8c0caf17">lock</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a93b204642190e611bc226ea08d29160e">Ogre::HardwareBuffer::lock</a>(LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#add009e72813b8803d5c3965efd8cbc48">lockBuffer</a>(BufferResources *bufferResources, const Image::Box &amp;lockBox, DWORD flags)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aaa3b402158015eb4e91c53c5c0c0326c">lockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a74843eb80d50e38c794a9a1d0899829f">lockImpl</a>(const Image::Box lockBox, LockOptions options)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a6ab419f1f901d58230f76ad844636be4">Ogre::HardwarePixelBuffer::lockImpl</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a811656bfdacc1339fcba481c4bd8f6d1">mCurrentLock</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a65904db26e2e488f9a5648159dab0cdd">mDepth</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a507da2c051a4d428dc64d6edbad057b0">mDoMipmapGen</a></td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a715786c17620c4705b5caefa6b2cb2df">mFormat</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a4522dfa65baed807835c35a5b550148a">mHeight</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#abe5a811867d8f0ad27ce91d650010f2d">mHWMipmaps</a></td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a31c838419dcf57b897bb50baad3fd423">mLockedBox</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a29f9840d07343d4cbf5e5acdcd9e9c74">mLockFlags</a></td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">mLockStart</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a1c33ea152a899dca8cf10359fa296afc">mMapDeviceToBufferResources</a></td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a51021294ee493c4a6558f4835120234d">mOwnerTexture</a></td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aa0d234ffd51f02db0d577244dfadfd7c">mRenderTexture</a></td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a0a0a98e600dfa4b15778b6bcb30acb70">mRowPitch</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">mShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">mShadowUpdated</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#acae5b713a65e3d0d5881ae02b3318d34">mSlicePitch</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">mSystemMemory</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">mUsage</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#ae466eb08ea0efefbf95ad43a86a32b87">mWidth</a></td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#abbd6dece7babe2473adc396bb458f53c">readData</a>(size_t offset, size_t length, void *pDest)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#ab5153b6892ecc27c4b7e7aa81fbb674e">releaseSurfaces</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a2548fc9744f5e43e0276d5627ca178de">RenderTexture</a> class</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a>(bool suppress)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a64ddd429ff2c8ac4f0cca5decb5c6757">unlock</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a74b32bcd44e9c91b44952815761173af">unlockBuffer</a>(BufferResources *bufferResources)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#ac9e1e4727246461675003a184ae03ccb">unlockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a0c12583527e96c3186ea9dd993e9121a">unlockImpl</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a2e7f4977178a559d81c1c4218b30d6be">updateRenderTexture</a>(bool writeGamma, uint fsaa, const String &amp;srcName)</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a117ff90e202f525c2a4b7bb9c51eb4df">writeData</a>(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a4aaa5a26ed3fd91c5fd1e330a5d7e751">~D3D9HardwarePixelBuffer</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">Ogre::D3D9HardwarePixelBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2514db557f1562eef2b7a70a1b2d8344">~HardwareBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html#a013a4bfeb913fb485db026e214bdd6f6">~HardwarePixelBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">Ogre::HardwarePixelBuffer</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
